## McdController McdController — Server controller class |

## Stability Level

Unstable, unless otherwise indicated

## Synopsis

    #include <mcd-controller.h>

                        McdController;
    McdController *     mcd_controller_new                  (void);
    void                mcd_controller_shutdown             (McdController *controller,
                                                             const gchar *reason);
    void                mcd_controller_cancel_shutdown      (McdController *controller);

## Object Hierarchy

      GObject
       +----McdMission
             +----McdOperation
                   +----McdController
                         +----McdMaster

## Description

This class implements the logic to control mission-control based on all external device events and states. It also controls mission-control life-cycle based on such events.

## Details

### McdController

    typedef struct _McdController McdController;

### mcd_controller_new ()

    McdController *     mcd_controller_new                  (void);

Returns : |

### mcd_controller_shutdown ()

    void                mcd_controller_shutdown             (McdController *controller,
                                                             const gchar *reason);

`controller` : |
`reason` : |

### mcd_controller_cancel_shutdown ()

    void                mcd_controller_cancel_shutdown      (McdController *controller);

`controller` : |